# Update a route

Updates a given route. All parameters are optional. This only updates the specified fields, leaving others unchanged.

Endpoint: PUT /v3/routes/{id}
Version: 3.0.0
Security: basicAuth

## Path parameters:

  - `id` (string, required)
    ID of the route

## Request fields (application/x-www-form-urlencoded):

  - `id` (string)
    Unique identifier of the route

  - `priority` (integer)
    Smaller number indicates higher priority. Higher priority routes are handled first.

  - `description` (string)
    An arbitrary string.

  - `expression` (string)
    The filtering rule.

  - `action` (array)
    This action is executed when the expression evaluates to True. You can pass multiple parameters.

## Response 200 fields (application/json):

  - `message` (string)
    A string describing the result of the operation

  - `route` (object)

  - `route.id` (string)
    Unique identifier of the route

  - `route.priority` (integer)
    Smaller number indicates higher priority. Higher priority routes are handled first.

  - `route.description` (string)
    An arbitrary string.

  - `route.expression` (string)
    The filtering rule.

  - `route.actions` (array)
    These actions are executed when the expression evaluates to True.

  - `route.created_at` (string)
    Timestamp indicating when the route was created in RFC1123 format

## Response 404 fields (application/json):

  - `message` (string)
    A string describing the error


